XMLMERGE(1)

NAME
xmlmerge - Command line tool for merging XML snippets from multiple files

SYNOPSIS

xmlmerge [options] <input file(s)>

DESCRIPTION

The xmlmerge command collects XML snippets scattered to multiple files and merges them into one big XML tree.

This tool is used by the build process of AqBanking to merge HBCI segment definitions from several files into one big XML file.

OPTIONS

--compact
    Try to keep the merged XML data compact.

--header
    Add a XML header to the merged XML data.

--help, -h
    Output a short usage hint.

--logfile LOGFILE
    Write log messages to the file LOGFILE. You need to select the logging type "logfile" for this option having any impact. See also option "--logtype" for more information.

--loglevel LOGLEVEL
    Select the desired log level. Valid values are emergency, alert, critical, error, warning, notice, info, debug and verbous.

--logtype LOGTYPE
    Select the desired logging type. Valid values are console, file and syslog.

-o OUTFILE
    Write the resulting XML tree to the file OUTFILE. If this option is omitted the result is written to the standard output.

-v
    enable verbose output.

--version
    -V: Output the version of the xmlmerge tool.

BUGS

There are now known bugs at the time of writing this manual page.

COPYING

Copyright (C) Martin Preuß. Free use of this software is granted under the terms of the GNU Lesser General Public License (LGPL).

The manpage was composed by Micha Lenk and converted by the nifty tool Asciidoctor into a manpage.

AUTHOR

Micha Lenk